← Tabeller
Rensa

Ireland

Ulster Championship 1

#LagPWDLPDPtsForm
1Omagh RFC5500–24WWWWW
2Dromore RFC5401–22WWWWL
3Portadown RFC5401–21WLWWW
4Ballymoney RFC5302–14LWLWW
5Limavady RFC5302–14WWWLL
6Ards RFC5203–10WLLLW
7Lurgan RFC5203–9LWWLL
8Cooke RFC4103–6LLWW
9Bangor RFC5005–3LLLLL
10Belfast Harlequins RFC4004–0LLLL

Källa: Ulster Rugby · kontrollerad 17 okt. 20:20 · Form: de fem senaste resultaten vi har, senaste till höger.

Matcher och resultat →

Varje tabell är ligans egen publicerade ställning, med bonuspoäng, poängavdrag och särskiljningsregler. BP visas där ligan publicerar det; annars ingår det redan i Pts.